diff --git a/doc/builtins.ps b/doc/builtins.ps
index 9325009a..c1c4e33e 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -2728,128 +2741,130 @@ BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF<ad63>144 84 Q F0
-(The maximum size of core \214les created)25.86 E F1<ad64>144 96 Q F0
+/Times-Bold@0 SF<ad61>144 84 Q F0(All current limits are reported)25.3 E
+F1<ad62>144 96 Q F0(The maximum sock)24.74 E(et b)-.1 E(uf)-.2 E
+(fer size)-.25 E F1<ad63>144 108 Q F0
+(The maximum size of core \214les created)25.86 E F1<ad64>144 120 Q F0
 (The maximum size of a process')24.74 E 2.5(sd)-.55 G(ata se)-2.5 E
-(gment)-.15 E F1<ad65>144 108 Q F0
-(The maximum scheduling priority \("nice"\))25.86 E F1<ad66>144 120 Q F0
+(gment)-.15 E F1<ad65>144 132 Q F0
+(The maximum scheduling priority \("nice"\))25.86 E F1<ad66>144 144 Q F0
 (The maximum size of \214les written by the shell and its children)26.97
-E F1<ad69>144 132 Q F0(The maximum number of pending signals)27.52 E F1
-<ad6c>144 144 Q F0(The maximum size that may be lock)27.52 E
-(ed into memory)-.1 E F1<ad6d>144 156 Q F0
+E F1<ad69>144 156 Q F0(The maximum number of pending signals)27.52 E F1
+<ad6c>144 168 Q F0(The maximum size that may be lock)27.52 E
+(ed into memory)-.1 E F1<ad6d>144 180 Q F0
 (The maximum resident set size \(man)21.97 E 2.5(ys)-.15 G
-(ystems do not honor this limit\))-2.5 E F1<ad6e>144 168 Q F0 .791(The \
+(ystems do not honor this limit\))-2.5 E F1<ad6e>144 192 Q F0 .791(The \
 maximum number of open \214le descriptors \(most systems do not allo)
 24.74 F 3.29(wt)-.25 G .79(his v)-3.29 F .79(alue to)-.25 F(be set\))180
-180 Q F1<ad70>144 192 Q F0
+204 Q F1<ad70>144 216 Q F0
 (The pipe size in 512-byte blocks \(this may not be set\))24.74 E F1
-<ad71>144 204 Q F0(The maximum number of bytes in POSIX message queues)
-24.74 E F1<ad72>144 216 Q F0(The maximum real-time scheduling priority)
-25.86 E F1<ad73>144 228 Q F0(The maximum stack size)26.41 E F1<ad74>144
-240 Q F0(The maximum amount of cpu time in seconds)26.97 E F1<ad75>144
-252 Q F0(The maximum number of processes a)24.74 E -.25(va)-.2 G
-(ilable to a single user).25 E F1<ad76>144 264 Q F0 .47
+<ad71>144 228 Q F0(The maximum number of bytes in POSIX message queues)
+24.74 E F1<ad72>144 240 Q F0(The maximum real-time scheduling priority)
+25.86 E F1<ad73>144 252 Q F0(The maximum stack size)26.41 E F1<ad74>144
+264 Q F0(The maximum amount of cpu time in seconds)26.97 E F1<ad75>144
+276 Q F0(The maximum number of processes a)24.74 E -.25(va)-.2 G
+(ilable to a single user).25 E F1<ad76>144 288 Q F0 .47
 (The maximum amount of virtual memory a)25.3 F -.25(va)-.2 G .47
-(ilable to the shell and, on some systems, to).25 F(its children)180 276
-Q F1<ad78>144 288 Q F0(The maximum number of \214le locks)25.3 E F1
-<ad54>144 300 Q F0(The maximum number of threads)23.63 E(If)144 316.8 Q
+(ilable to the shell and, on some systems, to).25 F(its children)180 300
+Q F1<ad78>144 312 Q F0(The maximum number of \214le locks)25.3 E F1
+<ad54>144 324 Q F0(The maximum number of threads)23.63 E(If)144 340.8 Q
 /F2 10/Times-Italic@0 SF(limit)3.058 E F0 .468(is gi)3.648 F -.15(ve)
 -.25 G .468(n, and the).15 F F1<ad61>2.968 E F0 .468
 (option is not used,)2.968 F F2(limit)2.968 E F0 .468(is the ne)2.968 F
 2.968(wv)-.25 G .468(alue of the speci\214ed resource.)-3.218 F(If)5.468
-E .044(no option is gi)144 328.8 R -.15(ve)-.25 G .044(n, then).15 F F1
+E .044(no option is gi)144 352.8 R -.15(ve)-.25 G .044(n, then).15 F F1
 <ad66>2.544 E F0 .045(is assumed.)2.545 F -1.11(Va)5.045 G .045
 (lues are in 1024-byte increments, e)1.11 F .045(xcept for)-.15 F F1
 <ad74>2.545 E F0 2.545(,w)C .045(hich is)-2.545 F .403(in seconds;)144
-340.8 R F1<ad70>2.903 E F0 2.903(,w)C .402
+364.8 R F1<ad70>2.903 E F0 2.903(,w)C .402
 (hich is in units of 512-byte blocks; and)-2.903 F F1<ad54>2.902 E F0(,)
 A F1<ad62>2.902 E F0(,)A F1<ad6e>2.902 E F0 2.902(,a)C(nd)-2.902 E F1
 <ad75>2.902 E F0 2.902(,w)C .402(hich are unscaled)-2.902 F -.25(va)144
-352.8 S 3.082(lues. The).25 F .583(return status is 0 unless an in)3.083
+376.8 S 3.082(lues. The).25 F .583(return status is 0 unless an in)3.083
 F -.25(va)-.4 G .583(lid option or ar).25 F .583
 (gument is supplied, or an error occurs)-.18 F(while setting a ne)144
-364.8 Q 2.5(wl)-.25 G(imit.)-2.5 E F1(umask)108 381.6 Q F0([)2.5 E F1
+388.8 Q 2.5(wl)-.25 G(imit.)-2.5 E F1(umask)108 405.6 Q F0([)2.5 E F1
 <ad70>A F0 2.5(][)C F1<ad53>-2.5 E F0 2.5(][)C F2(mode)-2.5 E F0(])A .2
-(The user \214le-creation mask is set to)144 393.6 R F2(mode)2.7 E F0
+(The user \214le-creation mask is set to)144 417.6 R F2(mode)2.7 E F0
 5.2(.I).18 G(f)-5.2 E F2(mode)3.08 E F0(be)2.88 E .2
 (gins with a digit, it is interpreted as an octal)-.15 F .066(number; o\
 therwise it is interpreted as a symbolic mode mask similar to that acce\
-pted by)144 405.6 R F2 -.15(ch)2.566 G(mod).15 E F0(\(1\).).77 E(If)144
-417.6 Q F2(mode)3.263 E F0 .382(is omitted, the current v)3.063 F .382
+pted by)144 429.6 R F2 -.15(ch)2.566 G(mod).15 E F0(\(1\).).77 E(If)144
+441.6 Q F2(mode)3.263 E F0 .382(is omitted, the current v)3.063 F .382
 (alue of the mask is printed.)-.25 F(The)5.382 E F1<ad53>2.882 E F0 .382
 (option causes the mask to be)2.882 F .547
-(printed in symbolic form; the def)144 429.6 R .547
+(printed in symbolic form; the def)144 453.6 R .547
 (ault output is an octal number)-.1 F 5.547(.I)-.55 G 3.047(ft)-5.547 G
 (he)-3.047 E F1<ad70>3.047 E F0 .547(option is supplied, and)3.047 F F2
-(mode)144.38 441.6 Q F0 .552
+(mode)144.38 465.6 Q F0 .552
 (is omitted, the output is in a form that may be reused as input.)3.232
-F .551(The return status is 0 if the)5.551 F(mode w)144 453.6 Q
+F .551(The return status is 0 if the)5.551 F(mode w)144 477.6 Q
 (as successfully changed or if no)-.1 E F2(mode)2.5 E F0(ar)2.5 E
 (gument w)-.18 E(as supplied, and f)-.1 E(alse otherwise.)-.1 E F1
-(unalias)108 470.4 Q F0<5bad>2.5 E F1(a)A F0 2.5(][)C F2(name)-2.5 E F0
-(...])2.5 E(Remo)144 482.4 Q 1.955 -.15(ve e)-.15 H(ach).15 E F2(name)
+(unalias)108 494.4 Q F0<5bad>2.5 E F1(a)A F0 2.5(][)C F2(name)-2.5 E F0
+(...])2.5 E(Remo)144 506.4 Q 1.955 -.15(ve e)-.15 H(ach).15 E F2(name)
 4.155 E F0 1.655(from the list of de\214ned aliases.)4.155 F(If)6.655 E
 F1<ad61>4.155 E F0 1.655(is supplied, all alias de\214nitions are)4.155
-F(remo)144 494.4 Q -.15(ve)-.15 G 2.5(d. The).15 F(return v)2.5 E
+F(remo)144 518.4 Q -.15(ve)-.15 G 2.5(d. The).15 F(return v)2.5 E
 (alue is true unless a supplied)-.25 E F2(name)2.86 E F0
-(is not a de\214ned alias.)2.68 E F1(unset)108 511.2 Q F0<5bad>2.5 E F1
+(is not a de\214ned alias.)2.68 E F1(unset)108 535.2 Q F0<5bad>2.5 E F1
 (fv)A F0 2.5(][)C<ad>-2.5 E F1(n)A F0 2.5(][)C F2(name)-2.5 E F0(...])
-2.5 E -.15(Fo)144 523.2 S 3.828(re).15 G(ach)-3.828 E F2(name)3.828 E F0
+2.5 E -.15(Fo)144 547.2 S 3.828(re).15 G(ach)-3.828 E F2(name)3.828 E F0
 3.828(,r).18 G(emo)-3.828 E 1.628 -.15(ve t)-.15 H 1.328
 (he corresponding v).15 F 1.327(ariable or function.)-.25 F 1.327
 (If the)6.327 F F1<ad76>3.827 E F0 1.327(option is gi)3.827 F -.15(ve)
--.25 G 1.327(n, each).15 F F2(name)144.36 535.2 Q F0 1.55
+-.25 G 1.327(n, each).15 F F2(name)144.36 559.2 Q F0 1.55
 (refers to a shell v)4.23 F 1.551(ariable, and that v)-.25 F 1.551
 (ariable is remo)-.25 F -.15(ve)-.15 G 4.051(d. Read-only).15 F -.25(va)
-4.051 G 1.551(riables may not be).25 F 4.642(unset. If)144 547.2 R F1
+4.051 G 1.551(riables may not be).25 F 4.642(unset. If)144 571.2 R F1
 <ad66>4.642 E F0 2.142(is speci\214ed, each)4.642 F F2(name)5.001 E F0
 2.141(refers to a shell function, and the function de\214nition is)4.821
-F(remo)144 559.2 Q -.15(ve)-.15 G 2.537(d. If).15 F(the)2.537 E F1<ad6e>
+F(remo)144 583.2 Q -.15(ve)-.15 G 2.537(d. If).15 F(the)2.537 E F1<ad6e>
 2.537 E F0 .037(option is supplied, and)2.537 F F2(name)2.537 E F0 .037
 (is a v)2.537 F .037(ariable with the)-.25 F F2(namer)2.537 E(ef)-.37 E
 F0(attrib)2.537 E(ute,)-.2 E F2(name)2.537 E F0(will)2.538 E .492
-(be unset rather than the v)144 571.2 R .492(ariable it references.)-.25
+(be unset rather than the v)144 595.2 R .492(ariable it references.)-.25
 F F1<ad6e>5.492 E F0 .492(has no ef)2.992 F .492(fect if the)-.25 F F1
 <ad66>2.992 E F0 .492(option is supplied.)2.992 F .492(If no)5.492 F .22
-(options are supplied, each)144 583.2 R F2(name)2.72 E F0 .22
+(options are supplied, each)144 607.2 R F2(name)2.72 E F0 .22
 (refers to a v)2.72 F .221(ariable; if there is no v)-.25 F .221
 (ariable by that name, an)-.25 F 2.721(yf)-.15 G(unc-)-2.721 E 1.189
-(tion with that name is unset.)144 595.2 R 1.189(Each unset v)6.189 F
+(tion with that name is unset.)144 619.2 R 1.189(Each unset v)6.189 F
 1.189(ariable or function is remo)-.25 F -.15(ve)-.15 G 3.688(df).15 G
 1.188(rom the en)-3.688 F(vironment)-.4 E 3.205
-(passed to subsequent commands.)144 607.2 R 3.206(If an)8.206 F 5.706
+(passed to subsequent commands.)144 631.2 R 3.206(If an)8.206 F 5.706
 (yo)-.15 G(f)-5.706 E/F3 9/Times-Bold@0 SF(COMP_W)5.706 E(ORDBREAKS)-.09
 E/F4 9/Times-Roman@0 SF(,)A F3(RANDOM)5.456 E F4(,)A F3(SECONDS)5.456 E
-F4(,)A F3(LINENO)144 619.2 Q F4(,)A F3(HISTCMD)4.348 E F4(,)A F3(FUNCN)
+F4(,)A F3(LINENO)144 643.2 Q F4(,)A F3(HISTCMD)4.348 E F4(,)A F3(FUNCN)
 4.348 E(AME)-.18 E F4(,)A F3(GR)4.348 E(OUPS)-.27 E F4(,)A F0(or)4.348 E
 F3(DIRST)4.598 E -.495(AC)-.81 G(K).495 E F0 2.098(are unset, the)4.348
 F 4.597(yl)-.15 G 2.097(ose their special)-4.597 F(properties, e)144
-631.2 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5 G(he)-2.5 E 2.5(ya)-.15
+655.2 Q -.15(ve)-.25 G 2.5(ni).15 G 2.5(ft)-2.5 G(he)-2.5 E 2.5(ya)-.15
 G(re subsequently reset.)-2.5 E(The e)5 E(xit status is true unless a)
--.15 E F2(name)2.86 E F0(is readonly)2.68 E(.)-.65 E F1(wait)108 648 Q
-F0([)2.5 E F2 2.5(n.)C(..)-2.5 E F0(])A -.8(Wa)144 660 S .288
+-.15 E F2(name)2.86 E F0(is readonly)2.68 E(.)-.65 E F1(wait)108 672 Q
+F0([)2.5 E F2 2.5(n.)C(..)-2.5 E F0(])A -.8(Wa)144 684 S .288
 (it for each speci\214ed process and return its termination status.).8 F
 (Each)5.288 E F2(n)3.148 E F0 .288(may be a process ID or a)3.028 F .722
-(job speci\214cation; if a job spec is gi)144 672 R -.15(ve)-.25 G .722
+(job speci\214cation; if a job spec is gi)144 696 R -.15(ve)-.25 G .722
 (n, all processes in that job').15 F 3.222(sp)-.55 G .722(ipeline are w)
 -3.222 F .722(aited for)-.1 F 5.722(.I)-.55 G(f)-5.722 E F2(n)3.582 E F0
-(is)3.462 E 1.265(not gi)144 684 R -.15(ve)-.25 G 1.265
+(is)3.462 E 1.265(not gi)144 708 R -.15(ve)-.25 G 1.265
 (n, all currently acti).15 F 1.565 -.15(ve c)-.25 H 1.265
 (hild processes are w).15 F 1.265(aited for)-.1 F 3.765(,a)-.4 G 1.266
 (nd the return status is zero.)-3.765 F(If)6.266 E F2(n)4.126 E F0 .457
-(speci\214es a non-e)144 696 R .457
+(speci\214es a non-e)144 720 R .457
 (xistent process or job, the return status is 127.)-.15 F .457
-(Otherwise, the return status is the)5.457 F -.15(ex)144 708 S
-(it status of the last process or job w).15 E(aited for)-.1 E(.)-.55 E
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(22)198.725 E 0 Cg EP
+(Otherwise, the return status is the)5.457 F(GNU Bash-4.2)72 768 Q
+(2004 Apr 20)148.735 E(22)198.725 E 0 Cg EP
 %%Page: 23 23
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
-(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10.95
-/Times-Bold@0 SF(SEE ALSO)72 84 Q F0(bash\(1\), sh\(1\))108 96 Q
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(23)198.725 E 0 Cg EP
+(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E -.15(ex)144
+84 S(it status of the last process or job w).15 E(aited for)-.1 E(.)-.55
+E/F1 10.95/Times-Bold@0 SF(SEE ALSO)72 100.8 Q F0(bash\(1\), sh\(1\))108
+112.8 Q(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(23)198.725 E 0 Cg EP
 %%Trailer
 end
 %%EOF
diff --git a/doc/rbash.ps b/doc/rbash.ps
index 77d1f2b7..dc733fcf 100644
--- a/doc/rbash.ps
+++ b/doc/rbash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19.2
-%%CreationDate: Thu Jul  5 20:43:03 2012
+%%CreationDate: Mon Jul 16 16:12:25 2012
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%DocumentSuppliedResources: procset grops 1.19 2
